com.aliyun.svideosdk.common.struct.template

## Class AliyunTemplate

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.template.AliyunTemplate

-     public class AliyunTemplate
      extends java.lang.Object

  v3.27.0 新增

  模板

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunEditorProject` | `createEditorProject(Context context, java.util.List<AliyunClip> list)` 生成模板草稿
    `Source` | `getCover()` 获取模板封面
    `java.util.List<AliyunTemplateParam>` | `getImportParams()` 获取模板导入参数列表
    `java.util.List<AliyunTemplateParam>` | `getParams()` 获取模板参数
    `java.lang.String` | `getPath()` 获取模板配置存放路径
    `Source` | `getProject()` 获取模板工程配置资源
    `java.lang.String` | `getTemplateId()` 获取模板ID
    `java.lang.String` | `getTitle()` 获取模板标题
    `int` | `getVersion()` 获取模板版本
    `Source` | `getVideo()` 获取模板示例视频资源
    `void` | `setCover(Source cover)` 设置模板封面
    `void` | `setPath(java.lang.String path)` 设置模板配置存放路径
    `void` | `setProject(Source project)` 设置模板工程配置资源
    `void` | `setTemplateId(java.lang.String templateId)` 设置模板ID
    `void` | `setTitle(java.lang.String title)` 设置模板标题
    `void` | `setVersion(int version)` 设置模板版本
    `void` | `setVideo(Source video)` 设置模板示例视频资源

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILENAME

          public static final java.lang.String FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AliyunTemplate

          public AliyunTemplate()

  - ### Method Detail

    - #### getVersion

          public int getVersion()

      获取模板版本
      Returns:
        模板版本

    - #### setVersion

          public void setVersion(int version)

      设置模板版本
      Parameters:
        `version` - 模板版本

    - #### getTemplateId

          public java.lang.String getTemplateId()

      获取模板ID
      Returns:
        模板ID

    - #### setTemplateId

          public void setTemplateId(java.lang.String templateId)

      设置模板ID
      Parameters:
        `templateId` - 模板ID

    - #### getTitle

          public java.lang.String getTitle()

      获取模板标题
      Returns:
        模板标题

    - #### setTitle

          public void setTitle(java.lang.String title)

      设置模板标题
      Parameters:
        `title` - 模板标题

    - #### getCover

          public Source getCover()

      获取模板封面
      Returns:
        模板封面

    - #### setCover

          public void setCover(Source cover)

      设置模板封面
      Parameters:
        `cover` - 模板封面

    - #### getVideo

          public Source getVideo()

      获取模板示例视频资源
      Returns:
        模板示例视频资源

    - #### setVideo

          public void setVideo(Source video)

      设置模板示例视频资源
      Parameters:
        `video` - 模板示例视频资源

    - #### getProject

          public Source getProject()

      获取模板工程配置资源
      Returns:
        模板工程配置资源

    - #### setProject

          public void setProject(Source project)

      设置模板工程配置资源
      Parameters:
        `project` - 模板工程配置资源

    - #### getParams

          public java.util.List<AliyunTemplateParam> getParams()

      获取模板参数
      Returns:
        模板参数

    - #### getPath

          public java.lang.String getPath()

      获取模板配置存放路径
      Returns:
        模板配置存放路径

    - #### setPath

          public void setPath(java.lang.String path)

      设置模板配置存放路径
      Parameters:
        `path` - 模板配置存放路径

    - #### getImportParams

          public java.util.List<AliyunTemplateParam> getImportParams()

      获取模板导入参数列表
      Returns:
        模板参数列表

    - #### createEditorProject

          public AliyunEditorProject createEditorProject(Context context,
                                                         java.util.List<AliyunClip> list)

      生成模板草稿
      Parameters:
        `context` - 上下文
        `list` - 导入视频与图片列表
      Returns:
        模板草稿